Bug 191994 - nash stays running after boot
Summary: nash stays running after boot
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-16 18:23 UTC by Chris Adams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 03:02:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Adams 2006-05-16 18:23:25 UTC
I am kickstarting an FC5 system, and when it is all done and reboots, /bin/nash
is still running:

$ ps ax | grep nash
  305 ?        Ss     0:00 /bin/nash /init

Looking in /proc/305/status, it lists "nash-hotplug" as the name.

If I attach to it with strace, it is in select, waiting on fd 6.  I'm not sure
what fd 6 is though; it appears to be a socket:

# ls -l /proc/305/fd
total 4
lr-x------ 1 root root 64 May 16 13:24 0 -> pipe:[723]
lrwx------ 1 root root 64 May 16 13:24 1 -> /zero
lrwx------ 1 root root 64 May 16 13:24 2 -> /zero
lrwx------ 1 root root 64 May 16 13:24 6 -> socket:[724]

However, there is no entry for 724 in /proc/net/* (maybe it is a stale netlink
socket?).

If I HUP the process, it does go away (with no apparent ill effects).

Comment 1 Chris Adams 2006-12-22 03:02:49 UTC
I haven't been able to reproduce this with newer systems.


Note You need to log in before you can comment on or make changes to this bug.